<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$me = get_plugin_data($plugin_id);

global $template;
$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/administration.tpl') );

// Simulation mode ?
$simulate = 0;
if (isset($_POST['simulate']))
  $simulate = ($_POST['simulate'] == 1 ? 1 : 0);

if (isset($_POST['posted']) && isset($_POST['htaccess_action'])) {
  include_once('include/htaccess_generation.inc.php');
  global $page;
  $result = array();

  // What must we do, create or remove the .htaccess files ?
  switch ($_POST['htaccess_action']) {
    case 'create':
      $result = secureImages_htaccess_creation($simulate);
      break;
    case 'remove':
      $result = secureImages_htaccess_removal($simulate);
      break;
    default:
      array_push($page['errors'], 'Please select the type of action: creation or removal of .htaccess files.');
  }

  foreach ($result['infos'] as $elt_infos)
    array_push($page['infos'], $elt_infos['path'].' '.$elt_infos['info']);

  foreach ($result['errors'] as $elt_errors)
    array_push($page['errors'], '['.$elt_errors['path'].'] '.
                $elt_errors['type'].
                ' ('.$secureImages_error_labels[$elt_errors['type']][0].
                ')'
              );
}

$query = '
  SELECT id,name,uppercats,global_rank
  FROM '.CATEGORIES_TABLE.';';

display_select_cat_wrapper($query,
    array(),
    'categories',
    false);

/**
 * Preparing file_types select
 */
$query = '
  SELECT DISTINCT(tn_ext)
  FROM '.IMAGES_TABLE.';';

$result = pwg_query($query);
if (!empty($result)) {
  global $template;

  while ($row = mysql_fetch_assoc($result)) {
    $template->assign_block_vars(
      'file_types',
      array('SELECTED' => '',
            'VALUE' => $row['tn_ext'],
            'OPTION' => $row['tn_ext']
           )
    );
  }
}
$template->assign_var('SECUREIMAGES_F_ACTION', $my_url);
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
?>
